[分享]卸载amule包出错的解决过程

为当前最终发行版之前的所有版本提供支持
回复
Yew
帖子: 9
注册时间: 2006-08-31 16:54
送出感谢: 0
接收感谢: 1 次

[分享]卸载amule包出错的解决过程

#1

帖子 Yew » 2006-09-24 0:08

安装了amule网站上for dapper的amule2.1.3的deb包,用了几日,总体运行良好,但是还是发现几处不爽的地方,于是决定卸载后编译安装,可是卸载的时候出现了如下提示:

代码: 全选

dpkg-divert: mismatch on package
  when removing `diversion of /usr/bin/ed2k by amule'
  found `diversion of /usr/bin/ed2k to /usr/bin/ed2k.xmule by amule-utils'
dpkg:处理 amule-common (--purge)时出错:
 子进程·post-removal script·返回了错误号·2
google了一下,应该是包与包之间的冲突所致
本例中就是要删除`diversion of /usr/bin/ed2k by amule'的时候发现了`diversion of /usr/bin/ed2k to /usr/bin/ed2k.xmule by amule-utils'
处理方法:

代码: 全选

sudo dpkg-divert --package amule-utils --remove --rename /usr/bin/ed2k
贴上来做个笔记,也于大家分享! :roll:
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#2

帖子 eexpress » 2006-09-24 0:49

显得复杂。应该有常规一些的方法。
● 鸣学
Yew
帖子: 9
注册时间: 2006-08-31 16:54
送出感谢: 0
接收感谢: 1 次

#3

帖子 Yew » 2006-09-24 1:53

一条命令就行了还复杂啊! :shock:
回复

回到 “老旧版本支持”